import * as React from "react";
export interface CellProps {
    children?: React.ReactNode;
    size?: number;
    mediumSize?: number;
    largeSize?: number;
    xlargeSize?: number;
    columns?: number;
    columnsOnMedium?: number;
    columnsOnLarge?: number;
    columnsOnXlarge?: number;
    fit?: boolean;
    fitOnMedium?: boolean;
    fitOnLarge?: boolean;
    fitOnXlarge?: boolean;
    fullHeight?: boolean;
    fullHeightOnMedium?: boolean;
    fullHeightOnLarge?: boolean;
    fullHeightOnXlarge?: boolean;
    microSpacing?: boolean;
    smallSpacing?: boolean;
    largeSpacing?: boolean;
    noSpacing?: boolean;
    verticalSpacing?: boolean;
    microVerticalSpacing?: boolean;
    smallVerticalSpacing?: boolean;
    largeVerticalSpacing?: boolean;
    auto?: boolean;
    autoOnMedium?: boolean;
    autoOnLarge?: boolean;
    autoOnXlarge?: boolean;
    relative?: boolean;
    shrink?: boolean;
    shrinkOnMedium?: boolean;
    shrinkOnLarge?: boolean;
    shrinkOnXlarge?: boolean;
    grow?: boolean;
    growOnMedium?: boolean;
    growOnLarge?: boolean;
    growOnXlarge?: boolean;
    order?: number;
}
export declare const Cell: React.FC<CellProps>;
