import React, { ChangeEvent, FocusEvent } from "react";
export interface CheckboxOnlyProps {
    checked?: boolean;
    defaultChecked?: boolean;
    disabled?: boolean;
    id?: string;
    invalid?: boolean;
    name?: string;
    onBlur?: (event: FocusEvent<HTMLInputElement>) => void;
    onChange?: (event: ChangeEvent<HTMLInputElement>) => void;
    onFocus?: (event: FocusEvent<HTMLInputElement>) => void;
}
export declare const CheckboxOnly: React.FC<CheckboxOnlyProps>;
