import React from "react";
export interface DropdownOption {
    value?: string;
    label?: string;
}
export interface ComboButtonProps {
    mainOption: DropdownOption;
    disabled?: boolean;
    loading?: boolean;
    options: DropdownOption[];
    children?: React.ReactNode;
    onClick?: (value: any) => void;
    fullWidth?: boolean;
    block?: boolean;
    compact?: boolean;
    inverse?: boolean;
    mono?: boolean;
    noSpacing?: boolean;
    shimmer?: boolean;
    soft?: boolean;
    primary?: boolean;
    rectangular?: boolean;
    secondary?: boolean;
    short?: boolean;
    transparent?: boolean;
    closeOnSelect?: boolean;
}
export declare const ComboButton: React.FC<ComboButtonProps>;
