import React from "react";
interface DefaultProps {
    options: {
        fillColor: string;
        strokeColor: string;
        strokeWeight: number;
        fillOpacity: number;
        strokeOpacity: number;
    };
}
interface MapRectangleProps extends DefaultProps {
    defaultBounds?: any;
    defaultDraggable?: boolean;
    defaultEditable?: boolean;
    defaultOptions?: any;
    defaultVisible?: boolean;
    bounds: any;
    draggable?: boolean;
    editable?: boolean;
    visible?: boolean;
    onDblClick?: () => void;
    onDragEnd?: (bounds: any | null) => void;
    onDragStart?: (bounds: any | null) => void;
    onMouseDown?: () => void;
    onMouseMove?: () => void;
    onMouseOut?: () => void;
    onMouseOver?: () => void;
    onMouseUp?: () => void;
    onRightClick?: () => void;
    onBoundsChanged?: (bounds: any | null) => void;
    onClick?: () => void;
    onDrag?: (bounds: any | null) => void;
    removeMarker?: boolean;
}
declare const MapRectangle: React.FC<MapRectangleProps>;
export default MapRectangle;
//# sourceMappingURL=MapRectangle.d.ts.map