import React, { ReactElement, ChangeEvent, FocusEvent, ReactNode } from "react";
import { RadioButton } from "./RadioButton";
interface RadioButtonGroupProps {
    actionLink?: any;
    children?: ReactElement<typeof RadioButton>[];
    collapseSpacing?: boolean;
    errorMessage?: string | ReactNode;
    hideLabel?: boolean;
    inline?: boolean;
    invalid?: boolean;
    label?: string | ReactNode;
    labelDescription?: string;
    lightLabel?: boolean;
    name: string;
    onBlur?: (event: FocusEvent<HTMLInputElement>) => void;
    onChange?: (event: ChangeEvent<HTMLInputElement>) => void;
    onFocus?: (event: FocusEvent<HTMLInputElement>) => void;
    refForFocus?: (node: HTMLInputElement) => void;
    spaceOnLastItem?: boolean;
    value: string | object | number;
}
export declare const RadioButtonGroup: React.FC<RadioButtonGroupProps>;
export {};
