export declare const ContainerWrapper: import("@stitches/react/types/styled-component").StyledComponent<"div", {
    container?: boolean | "true" | undefined;
    default?: boolean | "true" | undefined;
    micro?: boolean | "true" | undefined;
    small?: boolean | "true" | undefined;
    large?: boolean | "true" | undefined;
    fullHeight?: boolean | "true" | undefined;
    gray?: boolean | "true" | undefined;
    spacingLarge?: boolean | "true" | undefined;
    spacingSmall?: boolean | "true" | undefined;
    spacingMicro?: boolean | "true" | undefined;
    verticalSpacing?: boolean | "true" | undefined;
    verticalSpacingLarge?: boolean | "true" | undefined;
    verticalSpacingSmall?: boolean | "true" | undefined;
    noSpacing?: boolean | "true" | undefined;
    relative?: boolean | "true" | undefined;
}, {
    xlarge: ` (min-width: ${number}px)`;
    large: `(min-width: ${number}px)`;
    mediumAndAbove: `(min-width: ${number}px)`;
    medium: ` (max-width: ${number}px)`;
    small: `(max-width: ${number}px)`;
}, import("@stitches/react/types/css-util").CSS<{
    xlarge: ` (min-width: ${number}px)`;
    large: `(min-width: ${number}px)`;
    mediumAndAbove: `(min-width: ${number}px)`;
    medium: ` (max-width: ${number}px)`;
    small: `(max-width: ${number}px)`;
}, {
    colors: {
        transparent: string;
        current: string;
        black: string;
        white: string;
        neutral_gray0: string;
        neutral_gray2: string;
        neutral_gray4: string;
        neutral_gray6: string;
        neutral_gray8: string;
        neutral_gray10: string;
        neutral_gray20: string;
        neutral_gray30: string;
        neutral_gray40: string;
        neutral_gray50: string;
        neutral_gray60: string;
        neutral_gray70: string;
        neutral_gray80: string;
        neutral_gray90: string;
        neutral_gray100: string;
        primary_blue0: string;
        primary_blue2: string;
        primary_blue4: string;
        primary_blue6: string;
        primary_blue8: string;
        primary_blue10: string;
        primary_blue20: string;
        primary_blue30: string;
        primary_blue40: string;
        primary_blue50: string;
        primary_blue60: string;
        primary_blue70: string;
        primary_blue80: string;
        primary_blue90: string;
        primary_blue100: string;
        orange_alert0: string;
        orange_alert2: string;
        orange_alert4: string;
        orange_alert6: string;
        orange_alert8: string;
        orange_alert10: string;
        orange_alert20: string;
        orange_alert30: string;
        orange_alert40: string;
        orange_alert50: string;
        orange_alert60: string;
        orange_alert70: string;
        orange_alert80: string;
        orange_alert90: string;
        orange_alert100: string;
        green_success0: string;
        green_success2: string;
        green_success4: string;
        green_success6: string;
        green_success8: string;
        green_success10: string;
        green_success20: string;
        green_success30: string;
        green_success40: string;
        green_success50: string;
        green_success60: string;
        green_success70: string;
        green_success80: string;
        green_success90: string;
        green_success100: string;
        red_danger0: string;
        red_danger2: string;
        red_danger4: string;
        red_danger6: string;
        red_danger8: string;
        red_danger10: string;
        red_danger20: string;
        red_danger30: string;
        red_danger40: string;
        red_danger50: string;
        red_danger60: string;
        red_danger70: string;
        red_danger80: string;
        red_danger90: string;
        red_danger100: string;
        primary: string;
        primarySaturated: string;
        primaryDarker: string;
        secondary: string;
        secondarySaturated: string;
        secondaryDarker: string;
        success: string;
        warning: string;
        alert: string;
        successLight: string;
        warningLight: string;
        alertLight: string;
        successDark: string;
        warningDark: string;
        alertDark: string;
        gray: string;
        grayLighter: string;
        grayLight: string;
        grayDark: string;
        grayDarker: string;
        grayDarkest: string;
        blueGray: string;
        blueGrayLightest: string;
        blueGrayLighter: string;
        blueGrayLight: string;
        blueGrayDark: string;
        shadow: string;
        shadowWeakest: string;
        shadowWeaker: string;
        shadowWeak: string;
        shadowStrong: string;
        shadowStronger: string;
        shadowStrongest: string;
        fog: string;
        fogWeakest: string;
        fogWeaker: string;
        fogWeak: string;
        fogStrong: string;
        fogStronger: string;
        fogStrongest: string;
    };
    fontSizes: {
        small_title1: string;
        small_title2: string;
        small_title3: string;
        small_title4: string;
        small_title5: string;
        small_title6: string;
        small_large: string;
        small_regular: string;
        small_small: string;
        small_micro: string;
        large_title1: string;
        large_title2: string;
        large_title3: string;
        large_title4: string;
        large_title5: string;
        large_title6: string;
        large_large: string;
        large_regular: string;
        large_small: string;
        large_micro: string;
    };
    fontWeights: {
        bold: number;
        light: number;
        normal: number;
        semibold: number;
    };
    lineHeight: {
        regular: number;
        short: number;
        shorter: number;
        tall: number;
    };
    breakpoints: {
        [x: string]: any;
    };
    space: {
        1: string;
        2: string;
        3: string;
        4: string;
        5: string;
        6: string;
        7: string;
        8: string;
        gutter_small_micro_top: string;
        gutter_small_micro_right: string;
        gutter_small_micro_bottom: string;
        gutter_small_micro_left: string;
        gutter_small_small_top: string;
        gutter_small_small_right: string;
        gutter_small_small_bottom: string;
        gutter_small_small_left: string;
        gutter_small_regular_top: string;
        gutter_small_regular_right: string;
        gutter_small_regular_bottom: string;
        gutter_small_regular_left: string;
        gutter_small_large_top: string;
        gutter_small_large_right: string;
        gutter_small_large_bottom: string;
        gutter_small_large_left: string;
        gutter_medium_micro_top: string;
        gutter_medium_micro_right: string;
        gutter_medium_micro_bottom: string;
        gutter_medium_micro_left: string;
        gutter_medium_small_top: string;
        gutter_medium_small_right: string;
        gutter_medium_small_bottom: string;
        gutter_medium_small_left: string;
        gutter_medium_regular_top: string;
        gutter_medium_regular_right: string;
        gutter_medium_regular_bottom: string;
        gutter_medium_regular_left: string;
        gutter_medium_large_top: string;
        gutter_medium_large_right: string;
        gutter_medium_large_bottom: string;
        gutter_medium_large_left: string;
        gutter_large_micro_top: string;
        gutter_large_micro_right: string;
        gutter_large_micro_bottom: string;
        gutter_large_micro_left: string;
        gutter_large_small: string;
        gutter_large_regular_top: string;
        gutter_large_regular_right: string;
        gutter_large_regular_bottom: string;
        gutter_large_regular_left: string;
        gutter_large_large_top: string;
        gutter_large_large_right: string;
        gutter_large_large_bottom: string;
        gutter_large_large_left: string;
        gutter_xlarge_micro_top: string;
        gutter_xlarge_micro_right: string;
        gutter_xlarge_micro_bottom: string;
        gutter_xlarge_micro_left: string;
        gutter_xlarge_small_top: string;
        gutter_xlarge_small_right: string;
        gutter_xlarge_small_bottom: string;
        gutter_xlarge_small_left: string;
        gutter_xlarge_regular_top: string;
        gutter_xlarge_regular_right: string;
        gutter_xlarge_regular_bottom: string;
        gutter_xlarge_regular_left: string;
        gutter_xlarge_large_top: string;
        gutter_xlarge_large_right: string;
        gutter_xlarge_large_bottom: string;
        gutter_xlarge_large_left: string;
    };
}, {
    height: "space";
    width: "space";
    gap: "space";
    gridGap: "space";
    columnGap: "space";
    gridColumnGap: "space";
    rowGap: "space";
    gridRowGap: "space";
    inset: "space";
    insetBlock: "space";
    insetBlockEnd: "space";
    insetBlockStart: "space";
    insetInline: "space";
    insetInlineEnd: "space";
    insetInlineStart: "space";
    margin: "space";
    marginTop: "space";
    marginRight: "space";
    marginBottom: "space";
    marginLeft: "space";
    marginBlock: "space";
    marginBlockEnd: "space";
    marginBlockStart: "space";
    marginInline: "space";
    marginInlineEnd: "space";
    marginInlineStart: "space";
    padding: "space";
    paddingTop: "space";
    paddingRight: "space";
    paddingBottom: "space";
    paddingLeft: "space";
    paddingBlock: "space";
    paddingBlockEnd: "space";
    paddingBlockStart: "space";
    paddingInline: "space";
    paddingInlineEnd: "space";
    paddingInlineStart: "space";
    scrollMargin: "space";
    scrollMarginTop: "space";
    scrollMarginRight: "space";
    scrollMarginBottom: "space";
    scrollMarginLeft: "space";
    scrollMarginBlock: "space";
    scrollMarginBlockEnd: "space";
    scrollMarginBlockStart: "space";
    scrollMarginInline: "space";
    scrollMarginInlineEnd: "space";
    scrollMarginInlineStart: "space";
    scrollPadding: "space";
    scrollPaddingTop: "space";
    scrollPaddingRight: "space";
    scrollPaddingBottom: "space";
    scrollPaddingLeft: "space";
    scrollPaddingBlock: "space";
    scrollPaddingBlockEnd: "space";
    scrollPaddingBlockStart: "space";
    scrollPaddingInline: "space";
    scrollPaddingInlineEnd: "space";
    scrollPaddingInlineStart: "space";
    top: "space";
    right: "space";
    bottom: "space";
    left: "space";
    fontSize: "fontSizes";
    background: "colors";
    backgroundColor: "colors";
    backgroundImage: "colors";
    borderImage: "colors";
    border: "colors";
    borderBlock: "colors";
    borderBlockEnd: "colors";
    borderBlockStart: "colors";
    borderBottom: "colors";
    borderBottomColor: "colors";
    borderColor: "colors";
    borderInline: "colors";
    borderInlineEnd: "colors";
    borderInlineStart: "colors";
    borderLeft: "colors";
    borderLeftColor: "colors";
    borderRight: "colors";
    borderRightColor: "colors";
    borderTop: "colors";
    borderTopColor: "colors";
    caretColor: "colors";
    color: "colors";
    columnRuleColor: "colors";
    outline: "colors";
    outlineColor: "colors";
    fill: "colors";
    stroke: "colors";
    textDecorationColor: "colors";
    fontFamily: "fonts";
    fontWeight: "fontWeights";
    lineHeight: "lineHeights";
    letterSpacing: "letterSpacings";
    blockSize: "sizes";
    minBlockSize: "sizes";
    maxBlockSize: "sizes";
    inlineSize: "sizes";
    minInlineSize: "sizes";
    maxInlineSize: "sizes";
    minWidth: "sizes";
    maxWidth: "sizes";
    minHeight: "sizes";
    maxHeight: "sizes";
    flexBasis: "sizes";
    gridTemplateColumns: "sizes";
    gridTemplateRows: "sizes";
    borderWidth: "borderWidths";
    borderTopWidth: "borderWidths";
    borderLeftWidth: "borderWidths";
    borderRightWidth: "borderWidths";
    borderBottomWidth: "borderWidths";
    borderStyle: "borderStyles";
    borderTopStyle: "borderStyles";
    borderLeftStyle: "borderStyles";
    borderRightStyle: "borderStyles";
    borderBottomStyle: "borderStyles";
    borderRadius: "radii";
    borderTopLeftRadius: "radii";
    borderTopRightRadius: "radii";
    borderBottomRightRadius: "radii";
    borderBottomLeftRadius: "radii";
    boxShadow: "shadows";
    textShadow: "shadows";
    transition: "transitions";
    zIndex: "zIndices";
}, {
    flexHorizontalCenter: (gap: number) => {
        display: string;
        alignItems: string;
        justifyContent: string;
        gap: number;
    };
    flexVerticalCenter: (gap: number) => {
        display: string;
        flexDirection: string;
        alignItems: string;
        justifyContent: string;
        gap: number;
    };
    verticalPadding: (value: number) => {
        paddingTop: number;
        paddingBottom: number;
    };
    horizontalPadding: (value: number) => {
        paddingRight: number;
        paddingLeft: number;
    };
    compactHorizontalPadding: (value: number) => {
        paddingRight: number;
        paddingLeft: number;
    };
    cellColumnslarge: (size: number) => {
        "@large": {
            width: string;
        };
    };
    size: (size: number) => {
        width: string;
    };
    mediumSize: (size: number) => {
        "@mediumAndAbove": {
            width: string;
        };
    };
    largeSize: (size: number) => {
        "@large": {
            width: string;
        };
    };
    xlargeSize: (size: number) => {
        "@xlarge": {
            width: string;
        };
    };
    columns: (size: number) => {
        width: string;
    };
    columnsOnMedium: (size: number) => {
        "@mediumAndAbove": {
            width: string;
        };
    };
    columnsOnLarge: (size: number) => {
        "@large": {
            width: string;
        };
    };
    columnsOnXlarge: (size: number) => {
        "@xlarge": {
            width: string;
        };
    };
}>>;
