import React from "react";
interface AutocompleteProps {
    id?: string;
    name?: string;
    book?: boolean;
    small?: boolean;
    label?: string;
    large?: boolean;
    prefix?: string | React.ReactNode;
    inline?: boolean;
    invalid?: boolean;
    inverse?: boolean;
    inputRef?: React.RefObject<HTMLInputElement>;
    disabled?: boolean;
    autoFocus?: boolean;
    hideLabel?: boolean;
    placeholder?: string;
    underlineFocus?: boolean;
    inputBorderless?: boolean;
    labelDescription?: string;
    inputRemoveMargins?: boolean;
    inputFocusBorderless?: boolean;
    inputOverflowEllipsis?: boolean;
    showFakeValuePlaceholder?: boolean;
    value?: string;
}
export declare function Autocomplete({ id, name, book, small, label, large, prefix, inline, invalid, inverse, inputRef, disabled, autoFocus, hideLabel, placeholder, underlineFocus, inputBorderless, labelDescription, inputRemoveMargins, inputFocusBorderless, inputOverflowEllipsis, showFakeValuePlaceholder, value, }: AutocompleteProps): React.JSX.Element;
export {};
//# sourceMappingURL=Autocomplete.d.ts.map