import { FC, ReactNode, ButtonHTMLAttributes } from "react";
export interface ButtonProps extends ButtonHTMLAttributes<HTMLButtonElement> {
    children: ReactNode;
    disabled?: boolean;
    loading?: boolean;
    fullWidth?: boolean;
    block?: boolean;
    compact?: boolean;
    dashed?: boolean;
    inverse?: boolean;
    grouped?: boolean;
    groupedFirst?: boolean;
    groupedLast?: boolean;
    large?: boolean;
    mono?: boolean;
    noSpacing?: boolean;
    shade?: boolean;
    simple?: boolean;
    soft?: boolean;
    chip?: boolean;
    primary?: boolean;
    rectangular?: boolean;
    removeSideSpacing?: boolean;
    secondary?: boolean;
    shimmer?: boolean;
    short?: boolean;
    small?: boolean;
    transparent?: boolean;
    underlined?: boolean;
    noBorder?: boolean;
    tall?: boolean;
    icon?: boolean;
}
export declare const Button: FC<ButtonProps>;
