import React, { ChangeEvent, FocusEvent } from "react";
export interface CheckboxProps {
    checked?: boolean;
    disabled?: boolean;
    id?: string;
    invalid?: boolean;
    label?: string | React.ReactNode;
    name?: string;
    onBlur?: (event: FocusEvent<HTMLInputElement>) => void;
    onChange?: (event: ChangeEvent<HTMLInputElement>) => void;
    onFocus?: (event: FocusEvent<HTMLInputElement>) => void;
    pullRight?: boolean;
    smallLabel?: boolean;
    subtitle?: string;
    boldLabel?: boolean;
    inlineText?: boolean;
}
export declare const Checkbox: React.FC<CheckboxProps>;
