import React from "react";
export interface FlatButtonProps {
    disabled?: boolean;
    loading?: boolean;
    icon?: string | React.ReactElement;
    inverse?: boolean;
    large?: boolean;
    mono?: boolean;
    primary?: boolean;
    secondary?: boolean;
    shimmer?: boolean;
    small?: boolean;
    shadowLevel?: 0 | 1 | 2 | 3;
    soft?: boolean;
    square?: boolean;
    transparent?: boolean;
    children?: React.ReactNode;
    onClick?: (event: any) => void;
}
export declare const FlatButton: React.FC<FlatButtonProps>;
