import React, { FC } from "react";
export interface InputOnlyProps {
    autoCapitalize?: boolean;
    autoComplete?: "off" | "on";
    autoCorrect?: any;
    autoFocus?: boolean;
    borderless?: boolean;
    disabled?: boolean;
    flat?: boolean;
    floating?: boolean;
    focusBorderless?: boolean;
    id?: string;
    invalid?: boolean;
    inverse?: boolean;
    mask?: any;
    maxLength?: string | number;
    name: string;
    onBlur?: () => void;
    onChange?: () => void;
    onFocus?: () => void;
    onKeyDown?: () => void;
    placeholder?: string;
    prefix?: React.ReactNode;
    prefixSeparator?: boolean;
    readOnly?: boolean;
    removeMargins?: boolean;
    removePrefixSpacing?: boolean;
    removeSuffixSpacing?: boolean;
    shimmer?: boolean;
    showFakeValuePlaceholder?: boolean;
    showOverflowEllipsis?: boolean;
    small?: boolean;
    spellCheck?: any;
    suffix?: React.ReactNode;
    suffixSeparator?: boolean;
    type?: string;
    value?: string;
    inpuFakeValuePlaceholder?: any;
    inputDefaultPlaceholder?: any;
    inputInversePlaceholder?: any;
}
export declare const InputOnly: FC<InputOnlyProps>;
