import React from "react";
export interface DefaultProps {
    path: {
        lat: number;
        lng: number;
    }[];
    options: {
        fillColor: string;
        strokeColor: string;
        strokeWeight: number;
        fillOpacity: number;
        strokeOpacity: number;
    };
}
export interface MapPolygonProps extends DefaultProps {
    draggable?: boolean;
    editable?: boolean;
    onEdit?: (path: any) => void;
    onClick?: () => void;
    onMouseOut?: () => void;
    onMouseOver?: () => void;
    removeMarker?: boolean;
}
export declare const MapPolygon: React.FC<MapPolygonProps>;
