import React from "react";
import { ChangeEvent, FocusEvent, ReactNode } from "react";
export interface RadioButtonProps {
    checked?: boolean;
    disabled?: boolean;
    id?: string;
    invalid?: boolean;
    label: string | ReactNode;
    name?: string;
    onBlur?: (event: FocusEvent<HTMLInputElement>) => void;
    onChange?: (event: ChangeEvent<HTMLInputElement>) => void;
    onFocus?: (event: FocusEvent<HTMLInputElement>) => void;
    pullRight?: boolean;
    subtitle?: string;
    value: string | object | number;
}
export declare const RadioButton: React.FC<RadioButtonProps>;
