import React from "react";
export interface SummaryListProps {
    data: any[];
    loading?: boolean;
    dateFormat?: string;
    divided?: boolean;
    searchPlaceholder?: string;
    maxResults?: number;
    noResultComponent?: JSX.Element;
    customActions?: any;
    sortOptions?: Array<{
        label: string;
        value: string;
    }>;
    filterFor?: string[];
    clean?: boolean;
    onItemAction?: (action: any, id: string | number) => void;
    paginate?: boolean;
    icons?: string[];
    withFilter?: boolean;
    sortable?: boolean;
    selectableItems?: boolean;
    hideComboButton?: boolean;
}
export declare const SummaryList: React.FC<SummaryListProps>;
