import React from "react";
export interface TitleProps {
    alternativeFont?: boolean;
    block?: boolean;
    center?: boolean;
    children?: React.ReactNode;
    defaultFont?: boolean;
    inline?: boolean;
    inverse?: boolean;
    loading?: boolean;
    level?: 1 | 2 | 3 | 4 | 5 | 6;
    light?: boolean;
    mono?: boolean;
    muted?: boolean;
    negative?: boolean;
    noBottomSpacing?: boolean;
    noSpacing?: boolean;
    noTopSpacing?: boolean;
    positive?: boolean;
    primary?: boolean;
    regular?: boolean;
    right?: boolean;
    secondary?: boolean;
    short?: boolean;
    tall?: boolean;
    title?: string;
    truncate?: boolean;
    shimmerWidth?: string;
}
export declare const Title: React.FC<TitleProps>;
